> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.upwardli.com/api-access/api-reference/consumers/bill-reporting/create-close-tradeline-view-set/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.upwardli.com/_mcp/server. # Create Close Tradeline View Set POST https://api.upwardli.com/v2/consumers/{consumer_external_id}/bill-reporting/close-tradeline/ Content-Type: application/json 0) Validate the Request input params 1) Validate the Request Token and get the Partner 2) Get tradeline by the id 3) Make some validation for the tradeline (eligible, already open, etc.) 4) Close an Opened tradeline for the consumer (CANNOT BE OPENED AGAIN) Reference: https://developers.upwardli.com/api-access/api-reference/consumers/bill-reporting/create-close-tradeline-view-set ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.upwardli.com` (Production, default) - `https://api-sandbox.upwardli.com` (Sandbox) ## Request ### Path parameters - `consumer_external_id` (string, required) ### Body (application/json) This endpoint expects a CloseTradeline. - `tradeline_id` (string, required) ## Response ### 201 - `tradeline_id` (string, required) ## Examples **Request** ```json { "tradeline_id": "string" } ``` **Response** ```json { "tradeline_id": "string" } ``` **SDK Code** ```python import requests url = "https://api.upwardli.com/v2/consumers/consumer_external_id/bill-reporting/close-tradeline/" payload = { "tradeline_id": "string" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.upwardli.com/v2/consumers/consumer_external_id/bill-reporting/close-tradeline/'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"tradeline_id":"string"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.upwardli.com/v2/consumers/consumer_external_id/bill-reporting/close-tradeline/" payload := strings.NewReader("{\n \"tradeline_id\": \"string\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.upwardli.com/v2/consumers/consumer_external_id/bill-reporting/close-tradeline/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"tradeline_id\": \"string\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.upwardli.com/v2/consumers/consumer_external_id/bill-reporting/close-tradeline/") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"tradeline_id\": \"string\"\n}") .asString(); ``` ```php request('POST', 'https://api.upwardli.com/v2/consumers/consumer_external_id/bill-reporting/close-tradeline/', [ 'body' => '{ "tradeline_id": "string" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.upwardli.com/v2/consumers/consumer_external_id/bill-reporting/close-tradeline/"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"tradeline_id\": \"string\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["tradeline_id": "string"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.upwardli.com/v2/consumers/consumer_external_id/bill-reporting/close-tradeline/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```